Java Developer Tools

System Requirements

Please refer to hardware and operating system requirements that IBM specifies for the Application Developer or Eclipse product (listed below) with which you will be using your CodePro or EclipsePro product.

CodePro currently supports:

  • IBM Rational Application Developer, version 6.0.x, 7.0.x and 7.5.x
  • IBM Rational Web Developer, version 6.0.x, 7.0.x and 7.5.x
  • IBM Rational Software Architect, version 6.0.x, 7.0.x and 7.5.x
  • WebSphere Studio Enterprise Developer, version 5.1.x
  • WebSphere Studio Application Developer, version 5.1.x
  • WebSphere Studio Site Developer, version 5.1.x
  • WebSphere Studio Express, version 5.1.x
  • WebSphere Studio Workbench, version 2.1.x
  • WebSphere Device Developer 5.x
  • SAP NetWeaver Developer Studio 2.0
  • MyEclipse 5.x, 6.x , 7.x
  • Eclipse 2.1.x
  • Eclipse 3.0.x
  • Eclipse 3.1.x
  • Eclipse 3.2.x
  • Eclipse 3.3.x
  • Eclipse 3.4.x
  • Eclipse 3.5.x
  • Eclipse 3.6.x
  • Installing CodePro requires the full Eclipse SDK including the PDE. For Eclipse 3.3 and above, use the Eclipse Classic, Java EE or RCP/Plug-in Developers distribution or install PDE separately.

CodePro Analytix Rational Edition currently supports:

  • IBM Rational Application Developer, version 6.0.x and 7.0.x
  • IBM Rational Web Developer, version 6.0.x and 7.0.x
  • IBM Rational Software Architect, version 6.0.x and 7.0.x

CodePro does not work with:

  • WebSphere Application Developer, 4.x or 5.0.x
  • WebSphere Site Developer, 4.x or 5.0.x
  • Eclipse 1.0 or 2.0
  • Eclipse 3.6, "integration" or "nightly" builds
  • Eclipse 3.5, "integration" or "nightly" builds
  • Eclipse 3.4, builds prior to the final release
  • Eclipse 3.3, builds prior to the final release
  • Eclipse 3.2, builds prior to the final release
  • Eclipse 3.1, builds prior to the final release
  • Eclipse 3.0, builds prior to the final release

EclipsePro currently supports:

  • Eclipse 2.1.x
  • Eclipse 3.0.x
  • Eclipse 3.1.x
  • Eclipse 3.2.x
  • Eclipse 3.3.x
  • Eclipse 3.4.x
  • Eclipse 3.5.x
  • Eclipse 3.6.x

Operating Systems currently supported:

  • Windows 2000
  • Windows XP
  • Windows Vista
  • Windows 7
  • Linux (VA Java synchronization and bridge features not supported)
  • Mac OSX

Operating Systems not officially supported:

  • Windows 98
  • Windows ME
  • Windows NT
  • OS/2
How can I improve Application Developer/Eclipse startup time, reduce swapping and eliminate unnecessary garbage collection?
Begin by specifying the starting amount of memory (-vmargs -Xms###m) in your Application Developer/Eclipse startup command line (e.g., the target field within a Windows shortcut). If this is not specified, Eclipse's starting amount of memory is quite small (only 40 MB). You should also specify the maximum amount of memory that Eclipse can use (-vmargs -Xmx###m) and the maximum amount of perm space available (-vmargs -XX:MaxPermSize=###m).

We typically recommend something like this:

-vmargs -XX:MaxPermSize=128m -Xms256m -Xmx512m

Authentication required

You need to be signed in with Google+ to do that.

Signing you in...

Google Developers needs your permission to do that.